# $Revision: 1.20 $, $Date: 2007-02-12 22:09:17 $
Summary:	System utilities package
Summary(pl.UTF-8):	Pakiet narzędzi systemowych
Name:		sysfsutils
Version:	2.1.0
Release:	2
License:	LGPL v2.1/GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
# Source0-md5:	14e7dcd0436d2f49aa403f67e1ef7ddc
URL:		http://linux-diag.sourceforge.net/Sysfsutils.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package's purpose is to provide a set of utilities for
interfacing with sysfs, a virtual filesystem in Linux kernel versions
2.5+ that provides a tree of system devices. While a filesystem is a
very useful interface, the authors decided to provide a stable
programming interface that will hopefully make it easier for
applications to query system devices and their attributes.

This package currently includes:
- libsysfs: a library for accessing system devices.
- lsbus: a small application to query system bus information.
- systool: an application to view system device information by bus,
  class, and topology.

%description -l pl.UTF-8
Celem tego pakietu jest dostarczenie zestawu narzędzi do współpracy z
sysfs - wirtualnym systemem plików jąder Linuksa w wersji 2.5+
udostępniającym drzewo urządzeń systemowych. O ile system plików jest
bardzo użytecznym interfejsem, autorzy zdecydowali się dostarczyć
stabilny interfejs programistyczny, ułatwiający aplikacjom odpytywanie
się o urządzenia systemowe i ich atrybuty.

Ten pakiet zawiera:
- libsysfs - bibliotekę do dostępu do urządzeń systemowych,
- lsbus - małą aplikację do odczytywania informacji o szynach
  systemowych,
- systool - aplikację do przeglądania informacji o urządzeniach
  systemowych według szyny, klasy i topologii.

%package devel
Summary:	Header files for sysfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sysfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for sysfs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sysfs.

%package static
Summary:	Static sysfs library
Summary(pl.UTF-8):	Statyczna biblioteka sysfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static sysfs library.

%description static -l pl.UTF-8
Statyczna biblioteka sysfs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains only note, not actual GPL/LGPL texts
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc docs/libsysfs.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/sysfs

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysfsutils.spec,v $
Revision 1.20  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.18  2006/12/21 22:57:07  arekm
- rel 2

Revision 1.17  2006/08/25 22:12:45  qboosh
- updated to 2.1.0

Revision 1.16  2005/12/23 22:13:08  darekr
- added CREDITS to %doc

Revision 1.15  2005/12/23 22:07:49  qboosh
- updated to 2.0.0 (some old APIs dropped, new SONAME)

Revision 1.14  2005/10/18 05:56:03  qboosh
- simplified (define _includedir instead of moving files)

Revision 1.13  2005/10/17 08:46:38  qboosh
- release 3

Revision 1.12  2005/10/17 08:09:14  qboosh
- missing dir

Revision 1.11  2005/10/15 22:27:49  glen
- headers to sysfs/ subdir (for multipath-tools)

Revision 1.10  2005/06/02 20:13:54  qboosh
- updated to 1.3.0 (bugfixes)

Revision 1.9  2005/05/10 00:17:46  pluto
- release 2 for Th.

Revision 1.8  2004/09/15 20:56:22  qboosh
- updated to 1.2.0

Revision 1.7  2004/04/18 00:18:41  qboosh
- updated to 1.1.0, removed obsolete patch

Revision 1.6  2004/02/24 12:47:01  adamg
- updated to 1.0.0

Revision 1.5  2003/12/18 19:17:13  qboosh
- updated to 0.4.0

Revision 1.4  2003/11/10 14:25:57  qboosh
- up to 0.3.0, updated shared patch (mostly obsolete now)

Revision 1.3  2003/09/04 20:46:41  blues
- reverted last change....

Revision 1.2  2003/09/04 20:41:20  blues
- added epoch issue

Revision 1.1  2003/09/04 16:26:47  qboosh
- new, built with shared library
